slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSJDSetFix

Sets the threshold for changing the target in the correction equation.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSJDSetFix(EPS eps,PetscReal fix)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| fix | - threshold for changing the target

### Options Database Key

| -eps_jd_fix | - the fix value

### Note

The target in the correction equation is fixed at the first iterations. When the norm of the residual vector is lower than the fix value, the target is set to the corresponding eigenvalue.

### See Also

EPSJDGetFix()

### Level

advanced

### Location

src/eps/impls/davidson/jd/jd.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages